---
title: Element.createShadowRoot()
slug: Web/API/Element/createShadowRoot
tags:
  - API
  - Deprecated
  - Element
  - Method
  - Non-standard
  - Reference
  - shadow dom
---
<p>{{APIRef('Shadow DOM')}}{{non-standard_header}}{{deprecated_header}}{{draft}}</p>

<p>Use <code>Element.createShadowRoot</code> to create an instance of <a href="/en-US/docs/Web/Web_Components/Shadow_DOM">shadow DOM</a>. When shadow DOM is created, it is always attached to an existing element. After the shadow DOM is created, the element that it is attached to is called the {{glossary("shadow root")}}.</p>

<div class="note">
<p>This method has been deprecated in favor of {{DOMxRef("Element.attachShadow()","attachShadow()")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>shadowroot =</em><em> element</em>.createShadowRoot();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>No parameters.</p>

<h3 id="Result_value">Result value</h3>

<p>Returns a {{DOMxRef("ShadowRoot")}}.</p>

<h2 id="Specifications">Specifications</h2>

<p>This feature is no longer defined by any specifications.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.createShadowRoot")}}</p>
